Invalidate user sessions

Base URL
https://{kibana_url}
  • POST /api/security/session/_invalidate
Auth

Invalidate user sessions that match a query. To use this API, you must be a superuser.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

match enum required

The method Kibana uses to determine which sessions to invalidate. If it is all, all existing sessions will be invalidated. If it is query, only the sessions that match the query will be invalidated.

Values: all query

Responses

Indicates a successful call

application/json
total integer

The number of sessions that were successfully invalidated.

403

Indicates that the user may not be authorized to invalidate sessions for other users.

Base URL
https://{kibana_url}